mesos-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From b...@apache.org
Subject svn commit: r1131950 - in /incubator/mesos/trunk/src/third_party/libprocess: configure configure.ac
Date Sun, 05 Jun 2011 06:41:02 GMT
Author: benh
Date: Sun Jun  5 06:41:02 2011
New Revision: 1131950

URL: http://svn.apache.org/viewvc?rev=1131950&view=rev
Log:
Removed Lithe support from configuration of libprocess (initial libprocess open source release
will not have support for Lithe).

Modified:
    incubator/mesos/trunk/src/third_party/libprocess/configure
    incubator/mesos/trunk/src/third_party/libprocess/configure.ac

Modified: incubator/mesos/trunk/src/third_party/libprocess/configure
URL: http://svn.apache.org/viewvc/incubator/mesos/trunk/src/third_party/libprocess/configure?rev=1131950&r1=1131949&r2=1131950&view=diff
==============================================================================
--- incubator/mesos/trunk/src/third_party/libprocess/configure (original)
+++ incubator/mesos/trunk/src/third_party/libprocess/configure Sun Jun  5 06:41:02 2011
@@ -1244,14 +1244,6 @@ if test -n "$ac_init_help"; then
 
   cat <<\_ACEOF
 
-Optional Packages:
-  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
-  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
-  --with-ht=prefix        find headers in prefix/include/ht; library in
-                          prefix/lib
-  --with-lithe=prefix     find headers in prefix/include, library in
-                          prefix/lib
-
 Some influential environment variables:
   CXX         C++ compiler command
   CXXFLAGS    C++ compiler flags
@@ -2859,190 +2851,6 @@ See \`config.log' for more details." >&2
 fi
 
 
-# Check for the ht.
-
-# Check whether --with-ht was given.
-if test "${with_ht+set}" = set; then
-  withval=$with_ht;
-	    case "$with_ht" in
-		 yes) { { echo "$as_me:$LINENO: error:
-*** --with-ht requires an argument" >&5
-echo "$as_me: error:
-*** --with-ht requires an argument" >&2;}
-   { (exit 1); exit 1; }; } ;;
-		 ''|no) ;;
-		 *) CFLAGS="$CFLAGS -I$withval/include"
-		    CPPFLAGS="$CPPFLAGS -I$withval/include"
-		    CXXFLAGS="$CXXFLAGS -I$withval/include"
-		    LDFLAGS="$LDFLAGS -L$withval/lib"
-		    LIBS="-lht $LIBS" ;;
-	    esac
-
-fi
-
-
-{ echo "$as_me:$LINENO: checking for ht" >&5
-echo $ECHO_N "checking for ht... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-		#include <ht/ht.h>
-                void entry() { }
-int
-main ()
-{
-ht_request(1);
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_HT 1
-_ACEOF
-
-                 { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	{ echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-
-
-# Check for the Lithe.
-
-# Check whether --with-lithe was given.
-if test "${with_lithe+set}" = set; then
-  withval=$with_lithe;
-	    case "$with_lithe" in
-		 yes) { { echo "$as_me:$LINENO: error:
-*** --with-lithe requires an argument" >&5
-echo "$as_me: error:
-*** --with-lithe requires an argument" >&2;}
-   { (exit 1); exit 1; }; } ;;
-		 ''|no) ;;
-		 *) CFLAGS="$CFLAGS -I$withval/include"
-		    CPPFLAGS="$CPPFLAGS -I$withval/include"
-		    CXXFLAGS="$CXXFLAGS -I$withval/include"
-		    LDFLAGS="$LDFLAGS -L$withval/lib"
-		    LIBS="-llithe $LIBS" ;;
-	    esac
-
-fi
-
-
-{ echo "$as_me:$LINENO: checking for lithe" >&5
-echo $ECHO_N "checking for lithe... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-		#include <lithe.h>
-
-int
-main ()
-{
-lithe_sched_request(1);
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_LITHE 1
-_ACEOF
-
-                 { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	{ echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-
-#AC_ARG_WITH([boost-headers],
-#  AC_HELP_STRING([--with-boost-headers=DIR],
-#                 [find Boost headers in DIR]),
-#	         [case "$with_boost_headers" in
-#		    yes) AC_MSG_ERROR([
-#*** --with-boost-headers requires an argument]) ;;
-#		    ''|no) AC_MSG_ERROR([
-#*** The Boost headers are REQUIRED and cannot
-#*** be ommited using --without-boost-headers.]) ;;
-#		    *) CPPFLAGS="$CPPFLAGS -I$withval"
-#                       CFLAGS="$CFLAGS -I$withval"
-#                       CXXFLAGS="$CXXFLAGS -I$withval" ;;
-#	          esac],
-#	         [])
-
-# Look for BOOST_PP.
-#AC_LANG_PUSH([C++])
-#AC_CHECK_HEADERS([boost/preprocessor/library.hpp], [], [AC_MSG_FAILURE([
-#*** The BOOST_PP macros are missing or cannot be found.
-#*** Did you try using --with-boost-headers=DIR?])], [])
-#AC_LANG_POP([C++])
-
-# Check for BOOST_FOREACH.
-#AC_LANG_PUSH([C++])
-#AC_CHECK_HEADERS([boost/foreach.hpp], [], [AC_MSG_FAILURE([
-#*** The BOOST_FOREACH macro is missing or cannot be found.
-#*** Did you try using --with-boost-headers=DIR?])], [])
-#AC_LANG_POP([C++])
-
 # Checks for header files.
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'

Modified: incubator/mesos/trunk/src/third_party/libprocess/configure.ac
URL: http://svn.apache.org/viewvc/incubator/mesos/trunk/src/third_party/libprocess/configure.ac?rev=1131950&r1=1131949&r2=1131950&view=diff
==============================================================================
--- incubator/mesos/trunk/src/third_party/libprocess/configure.ac (original)
+++ incubator/mesos/trunk/src/third_party/libprocess/configure.ac Sun Jun  5 06:41:02 2011
@@ -13,92 +13,6 @@ AC_PROG_CC([gcc])
 AC_CHECK_LIB([pthread], [pthread_create], [], [AC_MSG_FAILURE([
 *** The pthread library is missing or cannot be found.])])
 
-# Check for the ht.
-AC_ARG_WITH([ht],
-            AC_HELP_STRING([--with-ht=prefix],
-                           [find headers in prefix/include/ht; library in prefix/lib]),
-	    [
-	    case "$with_ht" in
-		 yes) AC_MSG_ERROR([
-*** --with-ht requires an argument]) ;;
-		 ''|no) ;;
-		 *) CFLAGS="$CFLAGS -I$withval/include"
-		    CPPFLAGS="$CPPFLAGS -I$withval/include"
-		    CXXFLAGS="$CXXFLAGS -I$withval/include"
-		    LDFLAGS="$LDFLAGS -L$withval/lib"
-		    LIBS="-lht $LIBS" ;;
-	    esac
-	    ],
-	    [])
-
-AC_MSG_CHECKING(for ht)
-AC_LINK_IFELSE([AC_LANG_PROGRAM([
-		[#include <ht/ht.h>
-                void entry() { }]],
-		[ht_request(1);])],
-		[AC_DEFINE([HAVE_HT], [1],
-                          [Define if you have libht])
-                 AC_MSG_RESULT(yes)],
-		[AC_MSG_RESULT(no)])
-
-
-# Check for the Lithe.
-AC_ARG_WITH([lithe],
-            AC_HELP_STRING([--with-lithe=prefix],
-                           [find headers in prefix/include, library in prefix/lib]),
-	    [
-	    case "$with_lithe" in
-		 yes) AC_MSG_ERROR([
-*** --with-lithe requires an argument]) ;;
-		 ''|no) ;;
-		 *) CFLAGS="$CFLAGS -I$withval/include"
-		    CPPFLAGS="$CPPFLAGS -I$withval/include"
-		    CXXFLAGS="$CXXFLAGS -I$withval/include"
-		    LDFLAGS="$LDFLAGS -L$withval/lib"
-		    LIBS="-llithe $LIBS" ;;
-	    esac
-	    ],
-	    [])
-
-AC_MSG_CHECKING(for lithe)
-AC_LINK_IFELSE([AC_LANG_PROGRAM([
-		[#include <lithe.h>
-                ]],
-		[lithe_sched_request(1);])],
-		[AC_DEFINE([HAVE_LITHE], [1],
-                          [Define if you have Lithe])
-                 AC_MSG_RESULT(yes)],
-		[AC_MSG_RESULT(no)])
-
-#AC_ARG_WITH([boost-headers],
-#  AC_HELP_STRING([--with-boost-headers=DIR],
-#                 [find Boost headers in DIR]),
-#	         [case "$with_boost_headers" in
-#		    yes) AC_MSG_ERROR([
-#*** --with-boost-headers requires an argument]) ;;
-#		    ''|no) AC_MSG_ERROR([
-#*** The Boost headers are REQUIRED and cannot
-#*** be ommited using --without-boost-headers.]) ;;
-#		    *) CPPFLAGS="$CPPFLAGS -I$withval"
-#                       CFLAGS="$CFLAGS -I$withval"
-#                       CXXFLAGS="$CXXFLAGS -I$withval" ;;
-#	          esac],
-#	         [])
-
-# Look for BOOST_PP.
-#AC_LANG_PUSH([C++])
-#AC_CHECK_HEADERS([boost/preprocessor/library.hpp], [], [AC_MSG_FAILURE([
-#*** The BOOST_PP macros are missing or cannot be found.
-#*** Did you try using --with-boost-headers=DIR?])], [])
-#AC_LANG_POP([C++])
-
-# Check for BOOST_FOREACH.
-#AC_LANG_PUSH([C++])
-#AC_CHECK_HEADERS([boost/foreach.hpp], [], [AC_MSG_FAILURE([
-#*** The BOOST_FOREACH macro is missing or cannot be found.
-#*** Did you try using --with-boost-headers=DIR?])], [])
-#AC_LANG_POP([C++])
-
 # Checks for header files.
 AC_HEADER_STDC
 AC_CHECK_HEADERS([arpa/inet.h fcntl.h limits.h netdb.h netinet/in.h stdlib.h string.h sys/ioctl.h
sys/socket.h sys/time.h unistd.h])



Mime
View raw message